name: sigap
description: "A mobile app for SIGAP Jember"
# The following line prevents the package from being accidentally published to
# pub.dev using `flutter pub publish`. This is preferred for private packages.
publish_to: "none" # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number is used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
# In Windows, build-name is used as the major, minor, and patch parts
# of the product and file versions while build-number is used as the build suffix.
version: 1.0.0+1

environment:
  sdk: ^3.7.2

dependencies:
  flutter:
    sdk: flutter

  # --- Date & Time Utilities ---
  intl: ^0.19.0
  timeago:
  time_slot:
  calendar_date_picker2:
  easy_date_timeline:
  equatable: ^2.0.7
  camera: 0.11.0+2
  camera_android_camerax: 0.6.7+2

  # --- Logging & Debugging ---
  logger:

  # --- URL & Launcher ---
  url_launcher:

  # --- Splash & Icons ---
  flutter_launcher_icons:
  animated_splash_screen: ^1.3.0
  flutter_native_splash: ^2.4.6
  flutter_tabler_icons: ^1.43.0

  # --- UI & Animation ---
  smooth_page_indicator:
  lottie:
  shimmer:
  badges:
  carousel_slider:
  flutter_rating_bar:
  readmore:
  dropdown_search:
  dotted_border:
  flutter_svg: ^2.1.0

  # --- Input & Forms ---
  flutter_otp_text_field:
  image_picker:
  file_picker:

  # --- Storage & Filesystem ---
  path:
  path_provider:
  flutter_secure_storage:

  # --- Data & Utilities ---
  uuid:
  crypto:

  # --- Notifications & Permissions ---
  flutter_local_notifications:
  permission_handler:

  # --- Environment & Config ---
  flutter_dotenv:

  # --- Connectivity ---
  connectivity_plus:

  # --- Map & Location ---
  mapbox_maps_flutter:

  # mapbox_gl:
  polyline_do:
  flutter_polyline_points:
  location:
  latlong2:
  geolocator:
  geocoding:

  # --- Icons ---
  iconsax:
  cupertino_icons:
  font_awesome_flutter:

  # --- State Management & Storage ---
  get:
  get_storage:

  # --- Supabase & API Services ---
  supabase_flutter:
  dio:

  # --- Authentication ---
  google_sign_in:
  local_auth:

  # --- Fonts ---
  google_fonts:

  # --- Machine Learning ---
  google_mlkit_face_detection: ^0.11.0
  # google_mlkit_face_mesh_detection: ^0.4.1
  google_mlkit_commons: ^0.7.1

  # --- Localization ---
  # (add localization dependencies here if needed)

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^5.0.0

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter packages.
flutter:
  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true
  # flutter_icons:
  #   android: true
  #   ios: true
  #   image_path: "assets/logos/super_dental.png" # Path ke icon kamu

  #--------------- LOCAL ASSETS ------------------#
  assets:
    # Environment variables
    - .env
    # Images
    - assets/logos/
    - assets/icons/brands/
    - assets/images/content/
    - assets/images/banners/
    - assets/images/reviews/
    - assets/images/products/
    - assets/icons/categories/
    - assets/images/animations/
    - assets/images/on_boarding_images/
    # JSON Files
    - public/jsons/provinsi.json
    - public/jsons/kabupaten_kota.json
    - public/jsons/kecamatan.json
    - public/jsons/desa_kelurahan.json

  #--------------- LOCAL FONTS ------------------#
  fonts:
    - family: Poppins
      fonts:
        - asset: assets/fonts/Poppins-Light.ttf
          weight: 300
        - asset: assets/fonts/Poppins-Regular.ttf
          weight: 400
        - asset: assets/fonts/Poppins-Italic.ttf
          style: italic
        - asset: assets/fonts/Poppins-Medium.ttf
          weight: 500
        - asset: assets/fonts/Poppins-MediumItalic.ttf
          weight: 500
          style: italic
        - asset: assets/fonts/Poppins-SemiBold.ttf
          weight: 600
        - asset: assets/fonts/Poppins-Bold.ttf
          weight: 800
